##
##  lynx.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

%define       V_file 2-8-4
%define       V_real 2.8.4

#   package information
Name:         lynx
Summary:      Interactive Full-Screen Client for HTTP/HTTPS/FTP Protocols
URL:          http://lynx.isc.org/
Vendor:       Internet Software Consortium
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Web
License:      BSD
Version:      %{V_real}
Release:      20021216

#   list of sources
Source0:      http://lynx.isc.org/release/lynx%{V_real}.tar.bz2
Patch0:       http://lynx.isc.org/lynx%{V_real}/patches/lynx%{V_real}rel.1a.patch
Patch1:       http://lynx.isc.org/lynx%{V_real}/patches/lynx%{V_real}rel.1b.patch
Patch2:       http://lynx.isc.org/lynx%{V_real}/patches/lynx%{V_real}rel.1c.patch
Patch3:       http://lynx.isc.org/lynx%{V_real}/patches/lynx%{V_real}rel.1d.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, slang, zlib, openssl
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    Lynx is a text browser for the World Wide Web.

%prep
    %setup -q -n %{name}%{V_file}
    %patch0 -p1
    %patch1 -p1
    %patch2 -p1
    %patch3 -p1

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O} -I%{l_prefix}/include" \
    CPPFLAGS="-I%{l_prefix}/include" \
    LDFLAGS="-L%{l_prefix}/lib" \
    ./configure \
        --prefix=%{l_prefix} \
        --sysconfdir=%{l_prefix}/etc/lynx \
        --libdir=%{l_prefix}/etc/lynx \
        --disable-trace \
        --disable-nls \
        --with-screen=slang \
        --with-ssl=%{l_prefix} \
        --enable-default-colors \
        --enable-prettysrc \
        --enable-read-eta \
        --enable-scrollbar \
        --with-zlib
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* 2> /dev/null || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

